%define name smalltalk
%define version 1.95.1
%define release 3mdk

Summary:      Smalltalk free language implementation
Name:         %{name}
Version:      %{version}
Release:      %{release}
Copyright:    GPL
Group:        Development/Other
Source:       ftp://ftp.gnu.org/gnu/smalltalk/%{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}-installprefix.patch.bz2
Packager:     Daouda Lo <daouda@mandrakesoft.com> 
URL:          http://www.smalltalk.org
BuildRoot:    %{_tmppath}/%name

%description
GNU Smalltalk is a Free (or Open Source) implementation that closely 
follows the Smalltalk-80 language as described in the book Smalltalk-80: 
the Language and its Implementation by Adele Goldberg and David          
Robson. GNUSmalltalk runs on most versions of Unix or Unix like 
systems (GNU/Linux, FreeBSD, etc...).        
There is even a version for commercial operating systems like MS-NT.

%prep
%setup -q
%patch -p1
aclocal -I m4
automake --gnu -i Makebody
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS" %configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


%{find_lang} %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%dir %{_datadir}/gnu-smalltalk
%{_datadir}/gnu-smalltalk/*
%{_libdir}/*
%{_includedir}/*
%{_infodir}/*.info*
%{_mandir}/man1/*
%doc AUTHORS COPYING* ChangeLog NEWS README docs/DOM.html

%post
%_install_info gst.info
# the image file seems to contain hardcoded path, need to regenerate it
# AFTER installation
pushd %{_datadir}/gnu-smalltalk && %{_bindir}/gst -Vi dummyFile && popd

%preun
%_remove_install_info gst.info

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.95.1-3mdk
- can use %configure %make %makeinstall macros now, hacks gone
- remove snailtalk brandname from files :) (except static lib)
- add man page
- more %%doc
- add %%dir to %_datadir/gnu-smalltalk
- regenerate image file in %post

* Sun Mar 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.95.1-2mdk
- Remove the references to $RPM_BUILD_ROOT.
- Remove the %%post message.

* Sun Feb 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.95.1-1mdk
- new and shiny source.
- include the static llibrary in /usr/lib.

* Fri Dec 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.5-1mdk
- new and shiny source.

* Sun Nov 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.3-1mdk
- first mandrake rpm.

